Package org.apache.lucene.queries.payloads

## Class SpanPayloadCheckQuery.SpanPayloadCheckWeight

- java.lang.Object
- - org.apache.lucene.search.Weight
  - - org.apache.lucene.queries.spans.SpanWeight
    - - org.apache.lucene.queries.payloads.SpanPayloadCheckQuery.SpanPayloadCheckWeight

- All Implemented Interfaces:
    `SegmentCacheable`
  Enclosing class:
    SpanPayloadCheckQuery

      public class SpanPayloadCheckQuery.SpanPayloadCheckWeight
      extends SpanWeight

  Weight that pulls its Spans using a PayloadSpanCollector

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.queries.spans.SpanWeight

      `SpanWeight.Postings`

    - ### Nested classes/interfaces inherited from class org.apache.lucene.search.Weight

      `Weight.DefaultBulkScorer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.queries.spans.SpanWeight

      `field, similarity, simScorer`

    - ### Fields inherited from class org.apache.lucene.search.Weight

      `parentQuery`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SpanPayloadCheckWeight​(IndexSearcher searcher, Map<Term,​TermStates> termStates, SpanWeight matchWeight, float boost, SpanPayloadCheckQuery.PayloadType payloadType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `extractTermStates​(Map<Term,​TermStates> contexts)` | Collect all TermStates used by this Weight
    `Spans` | `getSpans​(LeafReaderContext context, SpanWeight.Postings requiredPostings)` | Expert: Return a Spans object iterating over matches from this Weight
    `boolean` | `isCacheable​(LeafReaderContext ctx)` |
    `SpanScorer` | `scorer​(LeafReaderContext context)` |

    - ### Methods inherited from class org.apache.lucene.queries.spans.SpanWeight

      `explain, getSimScorer, matches`

    - ### Methods inherited from class org.apache.lucene.search.Weight

      `bulkScorer, count, getQuery, scorerSupplier`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpanPayloadCheckWeight

          public SpanPayloadCheckWeight​(IndexSearcher searcher,
                                        Map<Term,​TermStates> termStates,
                                        SpanWeight matchWeight,
                                        float boost,
                                        SpanPayloadCheckQuery.PayloadType payloadType)
                                 throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### extractTermStates

          public void extractTermStates​(Map<Term,​TermStates> contexts)

      Description copied from class: `SpanWeight`
      Collect all TermStates used by this Weight
      Specified by:
        `extractTermStates` in class `SpanWeight`
      Parameters:
        `contexts` - a map to add the TermStates to

    - #### getSpans

          public Spans getSpans​(LeafReaderContext context,
                                SpanWeight.Postings requiredPostings)
                         throws IOException

      Description copied from class: `SpanWeight`
      Expert: Return a Spans object iterating over matches from this Weight
      Specified by:
        `getSpans` in class `SpanWeight`
      Parameters:
        `context` - a LeafReaderContext for this Spans
      Returns:
        a Spans
      Throws:
        `IOException` - on error

    - #### scorer

          public SpanScorer scorer​(LeafReaderContext context)
                            throws IOException

      Overrides:
        `scorer` in class `SpanWeight`
      Throws:
        `IOException`

    - #### isCacheable

          public boolean isCacheable​(LeafReaderContext ctx)